OpenZWave Library: OpenZWave::ValueRaw Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OpenZWave::ValueRaw Class Reference
ValueID Support

A collection of bytes sent to/received from a node. More...

`#include <ValueRaw.h>`

Inheritance diagram for OpenZWave::ValueRaw:

## Public Member Functions
| ValueRaw (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint16 const _index, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, uint8 const *_value, uint8 const _length, uint8 const _pollIntensity)
| ValueRaw ()
virtual | ~ValueRaw ()
bool | Set (uint8 const *_value, uint8 const _length)
void | OnValueRefreshed (uint8 const *_value, uint8 const _length)
virtual string const | GetAsString () const
virtual bool | SetFromString (string const &_value)
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
uint8 * | GetValue () const
uint8 | GetLength () const
Public Member Functions inherited from OpenZWave::Value
| Value (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint16 const _index, ValueID::ValueType const _type, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, bool const _isset, uint8 const _pollIntensity)
| Value ()
ValueID const & | GetID () const
bool | IsReadOnly () const
bool | IsWriteOnly () const
bool | IsSet () const
bool | IsPolled () const
string const | GetLabel () const
void | SetLabel (string const &_label, string const lang="")
string const & | GetUnits () const
void | SetUnits (string const &_units)
string const | GetHelp () const
void | SetHelp (string const &_help, string const lang="")
uint8 const & | GetPollIntensity () const
void | SetPollIntensity (uint8 const &_intensity)
int32 | GetMin () const
int32 | GetMax () const
void | SetChangeVerified (bool _verify)
bool | GetChangeVerified ()
bool | Set ()
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members
Static Public Member Functions inherited from OpenZWave::Value
static ValueID::ValueGenre | GetGenreEnumFromName (char const *_name)
static char const * | GetGenreNameFromEnum (ValueID::ValueGenre _genre)
static ValueID::ValueType | GetTypeEnumFromName (char const *_name)
static char const * | GetTypeNameFromEnum (ValueID::ValueType _type)
Protected Member Functions inherited from OpenZWave::Value
virtual | ~Value ()
bool | IsCheckingChange () const
void | SetCheckingChange (bool _check)
void | OnValueRefreshed ()
void | OnValueChanged ()
int | VerifyRefreshedValue (void *_originalValue, void *_checkValue, void *_newValue, ValueID::ValueType _type, int _originalValueLength=0, int _checkValueLength=0, int _newValueLength=0)
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()
Protected Attributes inherited from OpenZWave::Value
int32 | m_min
int32 | m_max
time_t | m_refreshTime
bool | m_verifyChanges
ValueID | m_id

## Detailed Description

A collection of bytes sent to/received from a node.

## Constructor & Destructor Documentation

## ◆ ValueRaw() [1/2]

ValueRaw::ValueRaw | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | ValueID::ValueGenre const | _genre,
|  | uint8 const | _commandClassId,
|  | uint8 const | _instance,
|  | uint16 const | _index,
|  | string const & | _label,
|  | string const & | _units,
|  | bool const | _readOnly,
|  | bool const | _writeOnly,
|  | uint8 const * | _value,
|  | uint8 const | _length,
|  | uint8 const | _pollIntensity )

## ◆ ValueRaw() [2/2]

ValueRaw::ValueRaw | ( |  | ) |

## ◆ ~ValueRaw()

ValueRaw::~ValueRaw | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ GetAsString()

string const ValueRaw::GetAsString | ( |  | ) | const
| virtual

Reimplemented from OpenZWave::Value.

## ◆ GetLength()

uint8 OpenZWave::ValueRaw::GetLength | ( |  | ) | const
| inline

## ◆ GetValue()

uint8 * OpenZWave::ValueRaw::GetValue | ( |  | ) | const
| inline

## ◆ OnValueRefreshed()

void ValueRaw::OnValueRefreshed | ( | uint8 const * | _value,
|  | uint8 const | _length )

## ◆ ReadXML()

void ValueRaw::ReadXML | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _commandClassId,
|  | TiXmlElement const * | _valueElement )
| virtual

Reimplemented from OpenZWave::Value.

## ◆ Set()

bool ValueRaw::Set | ( | uint8 const * | _value,
|  | uint8 const | _length )

## ◆ SetFromString()

bool ValueRaw::SetFromString | ( | string const & | _value | ) |
| virtual

Reimplemented from OpenZWave::Value.

## ◆ WriteXML()

void ValueRaw::WriteXML | ( | TiXmlElement * | _valueElement | ) |
| virtual

Reimplemented from OpenZWave::Value.

The documentation for this class was generated from the following files:

- ValueRaw.h
- ValueRaw.cpp